MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.IStaticValue Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IStaticValue:

## Public Member Functions
float | ReadCurrent (EAxis axis)
| Returns static input in amperes. Range is from -0.7 to 0.7. More...
void | WriteCurrent (EAxis axis, float value)
| Sets static input in amperes. Range is from -0.7 to 0.7. More...
float | ReadAngle (EAxis axis)
| Returns static input in XY coordinates. Range is from -1.0 to 1.0. More...
void | WriteAngle (EAxis axis, float value)
| Sets static input in XY coordinates. Range is from -1.0 to 1.0. More...
float | ReadOpticalFeedback (EAxis axis)
| Returns static input in OF. Range differs for each mirror. More...
void | WriteOpticalFeedback (EAxis axis, float value)
| Sets static input in OF. Range differs for each mirror. More...
EUnitType | ReadActiveStaticInputType (EAxis axis)
| Returns active static input type. Determined by active control stage system. More...

## Member Function Documentation

## ◆ ReadActiveStaticInputType()

EUnitType MrE2ModuleSdk.Device.IStaticValue.ReadActiveStaticInputType | ( | EAxis | axis | ) |

Returns active static input type. Determined by active control stage system.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadAngle()

float MrE2ModuleSdk.Device.IStaticValue.ReadAngle | ( | EAxis | axis | ) |

Returns static input in XY coordinates. Range is from -1.0 to 1.0.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadCurrent()

float MrE2ModuleSdk.Device.IStaticValue.ReadCurrent | ( | EAxis | axis | ) |

Returns static input in amperes. Range is from -0.7 to 0.7.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadOpticalFeedback()

float MrE2ModuleSdk.Device.IStaticValue.ReadOpticalFeedback | ( | EAxis | axis | ) |

Returns static input in OF. Range differs for each mirror.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteAngle()

void MrE2ModuleSdk.Device.IStaticValue.WriteAngle | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets static input in XY coordinates. Range is from -1.0 to 1.0.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteCurrent()

void MrE2ModuleSdk.Device.IStaticValue.WriteCurrent | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets static input in amperes. Range is from -0.7 to 0.7.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteOpticalFeedback()

void MrE2ModuleSdk.Device.IStaticValue.WriteOpticalFeedback | ( | EAxis | axis,
|  | float | value
| ) |  |

Sets static input in OF. Range differs for each mirror.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs